import 'package:apdu_service_plugin/apdu_service_plugin.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
    try {
      ApduServicePlugin.startApduBroadcast(
          "987654",
          "pl.primigenius.apdu_service_plugin_example",
          "pl.primigenius.apdu_service_plugin_example.CustomBroadcastReceiver");
    } on PlatformException {
      print("startApdu zonk");
    }
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: Text('Running on:'),
        ),
      ),
    );
  }
}
