import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:apdu_service_plugin/apdu_service_plugin.dart';

void main() {
  const MethodChannel channel = MethodChannel('apdu_service_plugin');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await ApduServicePlugin.platformVersion, '42');
  });
}
